using SecuritySystemContracts.Attributes;
using SecuritySystemDataModels.Models;
using System.ComponentModel;

namespace SecuritySystemContracts.ViewModels
{
    public class SecureViewModel : ISecureModel
    {
        [Column(visible: false)]
        public int Id { get; set; }
        [Column(title: "Название изделия", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string SecureName { get; set; } = string.Empty;
        [Column(title: "Цена", width: 50)]
        public double Price { get; set; }
        [Column(visible: false)]
        public Dictionary<int, (IComponentModel, int)> SecureComponents { get; set; } = new();
    }
}
